#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL) ; cout.tie(NULL) ;

    long long int n;
    long int k = 1000000007;
    unordered_map<double, long long int> z;

    cin>>n;
    double procenat[n];

    long long int sum=0;
    long long int x;

    for(long long int i =0;i<n;i++){
        cin>>x>>procenat[i];
        z[procenat[i]]=x;
        sum += x;
    }
    sort(procenat,procenat+n);

    double mmax = sum * procenat[0] / 100;
    double t = 0;

    for(long long int i =0;i<n-1;i++){
        sum -= z[procenat[i]];
        t = sum * procenat[i+1] / 100;
        //cout<<sum<<" "<<z[procenat[i]]<<" "<<procenat[i+1]<<endl;
        if(t>mmax){
            mmax=t;
        }
    }
    printf("%.4f",mmax);
}